Index: ChangeLog
===================================================================
RCS file: /cvs/hive/Swarm/swarm/src/analysis/ChangeLog,v
retrieving revision 1.77
diff -w -c -r1.77 ChangeLog
*** ChangeLog	1999/09/19 00:04:25	1.77
--- ChangeLog	1999/10/18 03:20:21
***************
*** 1,3 ****
--- 1,8 ----
+ 1999-10-17  Marcus G. Daniels  <mgd@pojoaque.santafe.edu>
+ 
+ 	* EZBin.m ([EZBin -update]): Don't look for prototype in
+ 	collection if it is empty.
+ 
  1999-09-18  Marcus G. Daniels  <mgd@pojoaque.santafe.edu>
  
  	* Swarm 2.0.1 released.
Index: EZBin.m
===================================================================
RCS file: /cvs/hive/Swarm/swarm/src/analysis/EZBin.m,v
retrieving revision 1.35
diff -w -c -r1.35 EZBin.m
*** EZBin.m	1999/09/08 00:59:49	1.35
--- EZBin.m	1999/10/18 03:20:21
***************
*** 149,155 ****
    
    if (graphics)
      {
!       aHisto = [Histogram createBegin: [self getZone]];
        [aHisto setBinCount: binCount];
        aHisto = [aHisto createEnd];
        SET_COMPONENT_WINDOW_GEOMETRY_RECORD_NAME (aHisto);
--- 149,155 ----
    
    if (graphics)
      {
!       aHisto = [Histogram createBegin: getZone (self)];
        [aHisto setBinCount: binCount];
        aHisto = [aHisto createEnd];
        SET_COMPONENT_WINDOW_GEOMETRY_RECORD_NAME (aHisto);
***************
*** 183,189 ****
      }
    
    if (fileOutput)
!     anOutFile = [OutFile create: [self getZone] setName: fileName];
    
    return self;
  }
--- 183,189 ----
      }
    
    if (fileOutput)
!     anOutFile = [OutFile create: getZone (self) setName: fileName];
    
    return self;
  }
***************
*** 219,231 ****
  
  - update
  {
    id iter, obj;
    id <MessageProbe> mp = [[[[MessageProbe createBegin: scratchZone]
!                              setProbedClass: [[collection getFirst] getClass]]
                              setProbedSelector: probedSelector]
                             createEnd];
    
!   iter = [collection begin: [self getZone]];
    while ((obj = [iter next]))
      {
        int i;
--- 219,234 ----
  
  - update
  {
+   if ([collection getCount] > 0)
+     {
        id iter, obj;
        id <MessageProbe> mp = [[[[MessageProbe createBegin: scratchZone]
!                                  setProbedClass: [[collection getFirst]
!                                                    getClass]]
                                  setProbedSelector: probedSelector]
                                 createEnd];
        
!       iter = [collection begin: getZone (self)];
        while ((obj = [iter next]))
          {
            int i;
***************
*** 278,283 ****
--- 281,287 ----
        
        [iter drop];
        [mp drop];
+     }
    return self;
  }
  
